<template>
    <div class="s">
        <v-card color="teal lighten-1" class="mx-auto textcont" dark>
            <v-card-title class="headline mx-auto">增删成员</v-card-title>
            <v-text-field
                outlined
                dense
                class="mx-4"
                label="项目名称"
                color="primary lighten-2"
                clearable
                v-model.trim="projectName"
            ></v-text-field>
            <v-text-field
                outlined
                dense
                class="mx-4"
                label="成员名称"
                color="primary lighten-2"
                clearable
                :error-messages="errorMessage"
                :error="falsee"
                :success-messages="successMessage"
                :success="falsee"
                v-model.trim="userName"
                @keyup.enter="add_member"
            ></v-text-field>
            <div class="rightwrap">
                <v-btn color="red lighten-1" class="mr-2 mb-2" @click="add_member">添加</v-btn>
                <v-btn color="red lighten-1" class="mr-2 mb-2" @click="del_member">删除</v-btn>
            </div>
        </v-card>
    </div>
</template>

<script>
export default {
    name: "addMember",
    data: () => ({
        projectName: "",
        userName: "",
        falsee: false,
        errorMessage: "",
        successMessage: "",
        user: "",
    }),
    components: {},
    methods: {
        add_member() {
            if (!this.userName.length) {
                this.login_alert("用户名称不得为空！");
                return;
            }

            if (this.userName.length > 11) {
                this.login_alert("用户名称太长！");
                return;
            }

            if (!this.projectName.length) {
                this.login_alert("项目名称不得为空！");
                return;
            }

            if (this.projectName.length > 20) {
                this.login_alert("项目名称太长！");
                return;
            }

            this.$axios({
                method: "post",
                url: `/addmember`,
                data: {
                    projectName: this.projectName,
                    userName: this.userName,
                },
            }).then(res => {
                if (res.status === 200) {
                    const data = res.data;
                    if (data.status === "ADDMEMBER_SUCCESS") {
                        this.messagee("添加成功！");
                    } else if (data.status === "ADDMEMBER_FAILURE") {
                        this.login_alert(data.message);
                    } else {
                        this.login_alert("出错了！");
                    }
                } else {
                    this.login_alert("连接失败。\n请检查您的网络状态。");
                }
            });
        },
        del_member() {
            if (!this.userName.length) {
                this.login_alert("用户名称不得为空！");
                return;
            }

            if (this.userName.length > 11) {
                this.login_alert("用户名称太长！");
                return;
            }

            if (!this.projectName.length) {
                this.login_alert("项目名称不得为空！");
                return;
            }

            if (this.projectName.length > 20) {
                this.login_alert("项目名称太长！");
                return;
            }

            this.$axios({
                method: "post",
                url: `/delmember`,
                data: {
                    projectName: this.projectName,
                    userName: this.userName,
                },
            }).then(res => {
                if (res.status === 200) {
                    const data = res.data;
                    if (data.status === "DELMEMBER_SUCCESS") {
                        this.messagee("删除成功！");
                    } else if (data.status === "DELMEMBER_FAILURE") {
                        this.login_alert(data.message);
                    } else {
                        this.login_alert("出错了！");
                    }
                } else {
                    this.login_alert("连接失败。\n请检查您的网络状态。");
                }
            });
        },
        login_alert(message) {
            this.errorMessage = "" + message;
        },
        messagee(message) {
            this.errorMessage = "";
            this.successMessage = "" + message;
        },
    },
    computed: {},
};
</script>

<style scoped>
.s {
    margin-left: 60px;
    color: #9affbc;
}
.rightwrap {
    display: flex;
    justify-content: flex-end;
}
</style>
